/* ========================================
 *  C5RawBuss - C5RawBuss.h
 *  Created 8/12/11 by SPIAdmin 
 *  Copyright (c) 2011 __MyCompanyName__, Airwindows uses the MIT license
 * ======================================== */

#ifndef __C5RawBuss_C5RawBuss_H
#define __C5RawBuss_C5RawBuss_H

#include "../../../configuration.h"
#ifdef SHR3D_SFX_CORE_AIRWINDOWS

#include "../common/airwin_consolidated_base.h"


namespace airwinconsolidated::C5RawBuss {
enum {
	kParamA = 0,
  kNumParameters = 1
}; //


class C5RawBuss final : public SfxCoreExtensionV1
{
public:
    C5RawBuss();
    ~C5RawBuss();
    void processBlock(float** inputs, float** outputs, int sampleFrames) override;
    int getParameterCount() const override;
    float getParameter(int index) override;
    void setParameter(int index, float value) override;
    void getParameterLabel(int index, char *text) override;
    void getParameterName(int index, char *text) override;
    void getParameterDisplay(int index, char *text) override;
private:
    
	uint32_t fpdL;
	uint32_t fpdR;
	//default stuff
	double lastFXBussL;
	double lastSampleBussL;
	double lastFXBussR;
	double lastSampleBussR;
    float A;
};

} // end namespace

#endif // SHR3D_SFX_CORE_AIRWINDOWS

#endif
